#include <bits/stdc++.h>

typedef long long ll;
using namespace std;

void solve()
{
	char c1, c2;
	cin >> c1 >> c2;
	int a1, a2;
	cin >> a1 >> a2;
	if (abs(a1 - a2) > 1) {
		cout << "nemoguce";
	}
	else {
		if (a1 < a2) {
			swap(a1, a2);
			swap(c1, c2);
		}
		if (a1 == a2)
		{
			for (int i = 0; i < a2; i++)
			{
				cout << c1 << c2;
			}
		}
		else if (a1 == (a2 + 1))
		{
			for (int i = 0; i < a2; i++)
			{
				cout << c1 << c2;
			}
			cout << c1;
		}
	}
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	solve();
	return 0;
}